from setuptools import setup, find_packages

setup(
    name="oplnk-python-utils",
    version="1.0.1",
    author="OpenLink SpA",
    author_email="contacto@openlink.cl",
    description="Reusable utilities for caching, data manipulation, parsing, and MongoDB query building",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/openlinkspa/oplnk-python-utils",
    packages=find_packages(),
    license="MIT",
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
    ],
    python_requires=">=3.8",
    install_requires=[
        "pymongo>=3.0.0",
        "redis>=3.0.0",
        "fastapi>=0.65.0",
    ],
    extras_require={
        "dev": [
            "pytest>=6.0",
            "pytest-cov>=2.0",
            "black>=21.0",
            "flake8>=3.8",
        ],
    },
    include_package_data=True,
    zip_safe=False,
) 